Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xpath
Class FuncNormalizeSpace

    java.lang.Object
      |
      +--weblogic.apache.xalan.xpath.Function
            |
            +--weblogic.apache.xalan.xpath.FuncNormalizeSpace

public class FuncNormalizeSpace
extends Function

Execute the Normalize-space() function.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`FuncNormalizeSpace()`

Method Summary
`XObject` | `execute(XPath path, XPathSupport execContext, org.w3c.dom.Node context, int opPos, java.util.Vector args)` Execute the function.
`protected java.lang.String` | `fixWhiteSpace(java.lang.String string, boolean trimHead, boolean trimTail, boolean doublePunctuationSpaces)` (Code stolen and modified from XML4J) Conditionally trim all leading and trailing whitespace in the specified String.

Methods inherited from class weblogic.apache.xalan.xpath.Function
`execute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuncNormalizeSpace

    public FuncNormalizeSpace()

Method Detail

### execute

    public XObject execute(XPath path,
                           XPathSupport execContext,
                           org.w3c.dom.Node context,
                           int opPos,
                           java.util.Vector args)
                    throws org.xml.sax.SAXException

  Execute the function. The function must return a valid object.

  Parameters:
    `path` - The executing xpath.
    `context` - The current context.
    `opPos` - The current op position.
    `args` - A list of XObject arguments.
  Returns:
    A valid XObject.
  Overrides:
    execute in class Function

### fixWhiteSpace

    protected java.lang.String fixWhiteSpace(java.lang.String string,
                                             boolean trimHead,
                                             boolean trimTail,
                                             boolean doublePunctuationSpaces)

  (Code stolen and modified from XML4J) Conditionally trim all leading and trailing whitespace in the specified String. All strings of white space are replaced by a single space character (#x20), except spaces after punctuation which receive double spaces if doublePunctuationSpaces is true. This function may be useful to a formatter, but to get first class results, the formatter should probably do it's own white space handling based on the semantics of the formatting object.

  Parameters:
    `string` - String to be trimmed.
    `trimHead` - Trim leading whitespace?
    `trimTail` - Trim trailing whitespace?
    `doublePunctuationSpaces` - Use double spaces for punctuation?
  Returns:
    The trimmed string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD